<?php 

header('Access-Control-Allow-Origin: *');
header('Content-Type: application/json');

include ('../../backend/connection.php');



$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';

if ($contentType === "application/json") {
    // Receive the RAW post data.
    $content = trim(file_get_contents("php://input"));

    // Attempt to decode the incoming RAW post data from JSON.
    $decoded = json_decode($content, true);

    // If json_decode failed, the JSON is invalid.
    if (!is_array($decoded)) {
        // Invalid JSON format
        $response = array (
            'status_code' => 400,
            'msg' => 'Invalid JSON format'
        );
        echo json_encode($response);
        exit;
    } else {
        // Valid JSON format
        $api_key = $decoded['api_key'];
        $client_id = $decoded['user_id'];
        
    }
} else {
   $api_key              = $_REQUEST['api_key'];
   $client_id            = $_REQUEST['user_id'];
}


    $id_api =1;
    $query_apis = "SELECT `api_mod` FROM `system_setting` WHERE `id` = ?";
    $stmt_apis = $conn->prepare($query_apis);
    $stmt_apis->bind_param('i', $id_api);
    $stmt_apis->execute();
    $result_apis = $stmt_apis->get_result();
    $row_group = $result_apis->fetch_assoc();
    $api_mode= $row_group['api_mod'];
   
    if($api_mode == 0){
        
        $queryc = "SELECT `api_status`,`api_key` FROM `clients` WHERE `c_id` = ? AND `status`= 1 AND `verification_status`=1";
        $stmtc = $conn->prepare($queryc);
        $stmtc->bind_param('i', $client_id);
        $stmtc->execute();
        $resultc = $stmtc->get_result();
        if ($resultc->num_rows > 0) {
            $rowc = $resultc->fetch_assoc();
            $apistatus   = $rowc['api_status'];
            $apikey      = $rowc['api_key'];
            
             if($apistatus === 1){
                 
                 if($api_key==$apikey){
                     
                    $querybalance = "SELECT `current_balance` FROM `clients` WHERE `c_id` = ? AND `status`= 1 AND `verification_status`=1";
                    $stmtbalance = $conn->prepare($querybalance);
                    $stmtbalance->bind_param('i', $client_id);
                    $stmtbalance->execute();
                    $resultbalance = $stmtbalance->get_result();
                    if ($resultbalance->num_rows > 0) {
                        $rowb = $resultbalance->fetch_assoc();
                        $currentBalance  = $rowb['current_balance'];
                        $response = array (
                        'status_code' => 204,
                         'current_balance'=>$currentBalance
                       
                         );
                        
                    }
                     
                 }else{
                     
                       $response = array (
                        'status_code' => 202,
                         'current_balance'=>'no'
                       
                          );
                
                     
                 }
                
                 
                 
             }else{
                 
                 $response = array (
                    'status_code' => 201,
                     'current_balance'=>'no'
               
                  );
                 
             }
            
            
            
        }else{
                 
                 $response = array (
            'status_code' => 210,
             'current_balance'=>'no'
           
              );
                 
             }
            
        
        
    }else{
        
        $response = array (
            'status_code' => 214,
             'current_balance'=>'no'
           
              );
        
    }




 echo json_encode($response);


?>